/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_GRADIENT_CHOOSER_H__
#define __KIBA_GRADIENT_CHOOSER_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define KIBA_TYPE_GRADIENT_CHOOSER           (kiba_gradient_chooser_get_type ())
#define KIBA_GRADIENT_CHOOSER(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_GRADIENT_CHOOSER, KibaGradientChooser))
#define KIBA_GRADIENT_CHOOSER_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_GRADIENT_CHOOSER,  KibaGradientChooserClass))
#define KIBA_IS_GRADIENT_CHOOSER(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_GRADIENT_CHOOSER))
#define KIBA_IS_GRADIENT_CHOOSER_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_GRADIENT_CHOOSER))
#define KIBA_GRADIENT_CHOOSER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_GRADIENT_CHOOSER, KibaGradientChooserClass))

typedef struct _KibaGradientChooser       KibaGradientChooser;
typedef struct _KibaGradientChooserClass  KibaGradientChooserClass;

struct _KibaGradientChooser {
	GtkHBox box;
};

struct _KibaGradientChooserClass {
	GtkHBoxClass  parent_class;
	
	/* signals */
	void (* changed) (KibaGradientChooser *chooser);
};

GtkWidget* kiba_gradient_chooser_new (void);

void kiba_gradient_chooser_add_color(KibaGradientChooser *chooser,
                                     const char          *color);

GList* kiba_gradient_chooser_get_colors(KibaGradientChooser *chooser);

G_END_DECLS

#endif
