/*
 *  Copyright (C) 2008 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_SETTINGS_SECTION_BOX_H__
#define __KIBA_SETTINGS_SECTION_BOX_H__

#include <gtk/gtk.h>

#include "kiba-prefs-schema.h"

G_BEGIN_DECLS

#define KIBA_TYPE_SETTINGS_SECTION_BOX           (kiba_settings_section_box_get_type ())
#define KIBA_SETTINGS_SECTION_BOX(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_SETTINGS_SECTION_BOX, KibaSettingsSectionBox))
#define KIBA_SETTINGS_SECTION_BOX_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_SETTINGS_SECTION_BOX,  KibaSettingsSectionBoxClass))
#define KIBA_IS_SETTINGS_SECTION_BOX(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_SETTINGS_SECTION_BOX))
#define KIBA_IS_SETTINGS_SECTION_BOX_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_SETTINGS_SECTION_BOX))
#define KIBA_SETTINGS_SECTION_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_SETTINGS_SECTION_BOX, KibaSettingsSectionBoxClass))

typedef struct _KibaSettingsSectionBox KibaSettingsSectionBox;
typedef struct _KibaSettingsSectionBoxClass KibaSettingsSectionBoxClass;

GtkWidget* kiba_settings_section_box_new (void);

void kiba_settings_section_box_set_sections (KibaSettingsSectionBox *box,
                                             KibaSchema *general_schema,
                                             KibaSchema *dock_schema);

SchemaSection* kiba_settings_section_box_get_selected (KibaSettingsSectionBox *box);

GtkWidget* kiba_settings_section_box_get_selected_image (KibaSettingsSectionBox *box);

G_END_DECLS

#endif
