/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_PREFS_PRIVATE_H__
#define __KIBA_PREFS_PRIVATE_H__

#include <kiba-prefs.h>

G_BEGIN_DECLS

typedef enum {
	KIBA_PREFS_FILE_GENERAL,
	KIBA_PREFS_FILE_GLOBAL,
	KIBA_PREFS_FILE_INDIVIDUAL
}KibaPrefsFileType;

KibaPrefsFile* kiba_prefs_add_file_with_type (const char *configPath,
                                              KibaPrefsFileType type);

KibaPrefsFile* kiba_prefs_get_global_file (KibaPrefs *prefs);

gboolean kiba_prefs_has_global_option (KibaPrefsFile *file,
                                       const char *id);

void kiba_prefs_fini (void);

G_END_DECLS

#endif
