/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#include <libintl.h>
#include <gtk/gtk.h>

#include "kiba-dock.h"
#include "kiba-separator.h"
#include "separator-menu.h"

#define _(string)  gettext (string)

static gboolean __remove_separator_cb (GtkWidget  *widget,
				     gpointer    data) {
	GtkWidget *separator = data;
	
	gtk_widget_destroy (separator);
	
	return TRUE;
}

gboolean kiba_separator_show_menu (GtkWidget      *widget,
				   GdkEventButton *event) {
	GtkWidget *menu;
	GtkWidget *image, *item;
	
	if (!KIBA_IS_SEPARATOR(widget))
		return FALSE;
	
	if (event->button != 3)
		return TRUE;
	
	menu = gtk_menu_new ();
	
	item  = gtk_image_menu_item_new_with_label (_("Remove Separator"));
	image = gtk_image_new_from_icon_name (GTK_STOCK_CLOSE, GTK_ICON_SIZE_MENU);
	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM (item), image);
	gtk_menu_shell_prepend (GTK_MENU_SHELL (menu), item);
	g_signal_connect (G_OBJECT (item), "activate",
		G_CALLBACK (__remove_separator_cb), widget);
	gtk_widget_show (item);
	
	gtk_menu_popup (GTK_MENU(menu), NULL, NULL, NULL, NULL,
		event->button, event->time);
	
	return TRUE;
}
